Search by company number
curl --request GET \
--url https://product-api.thedatacity.com/api/v2/search/aheadFull/{companyNumber} \
--header 'Authorization: Bearer <token>'import requests
url = "https://product-api.thedatacity.com/api/v2/search/aheadFull/{companyNumber}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://product-api.thedatacity.com/api/v2/search/aheadFull/{companyNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}search
Search by company number
GET
/
v2
/
search
/
aheadFull
/
{companyNumber}
Search by company number
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Companies House company number.
Response
200 - application/json
Type-ahead / search hits from the product API.
JSON object returned from the upstream product API with no extra shaping by this gateway. Exact properties depend on the operation. Fields may be omitted when the token lacks optional scopes (see config/api.php scope_field_map).
Last modified on August 20, 2026
⌘I